﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        GV.AutoGenerateColumns = false;
        GV.DataKeyFields = "EmployeeID";
        GV.EnableAjax = false;

        GV.ItemCommand += new ItemCommandEventHandler(WebDataGrid1_ItemCommand);

        Selection gridSelection = GV.Behaviors.CreateBehavior<Selection>();
        gridSelection.CellClickAction = CellClickAction.Row;
        gridSelection.RowSelectType = SelectType.Single;
        RowSelectors gridselectorw = GV.Behaviors.CreateBehavior<RowSelectors>();
        gridselectorw.Enabled = true;
        Selection selectionBehavior = GV.Behaviors.Selection;
        if (selectionBehavior == null)
        {
            // Create the behavior
            Selection selection = new Selection();
            // Add to behaviors collection
            GV.Behaviors.Add(selection);
            // Set its options
            selection.CellClickAction = CellClickAction.Row;
            selection.RowSelectType = SelectType.Single;
        }
        RowSelectors gridselectorbehavior = GV.Behaviors.RowSelectors;
        if (gridselectorbehavior == null)
        {
        }

        //TemplateDataField templateField1 = new TemplateDataField(true);
        //templateField1.Key = "TemplateField1";
        //templateField1.Header.Text = "Template Column";
        //GV.Columns.Add(templateField1);
        //TemplateDataField templateColumn1 = (TemplateDataField)GV.Columns["TemplateField1"];

        //templateColumn1.ItemTemplate = new CustomItemTemplate();
        //var col1 = new BoundDataField { Key = "NOM_STANDARD" };
        //col1.Header.Text = "Nom standard";
        //col1.Width = 100;
        //var col2 = new BoundDataField { Key = "NOM_OPERATEUR" };
        //col2.Header.Text = "Nom opérateur";
        //col2.Width = 75;
        //GV.Columns.Add(col1);


        //templateColumn1.ItemTemplate = new CustomItemTemplate();
        //var col1 = new BoundDataField { Key = "EmployeeID" };
        //col1.Header.Text = "Nom standard";
        //col1.Width = 100;

        //GV.Columns.Add(col1);

        GV.DataSource = GetEmployees();
        GV.DataBind();

        GV.EnsureTemplates();
    }
    protected void WebDataGrid1_ItemCommand(object sender, Infragistics.Web.UI.GridControls.HandleCommandEventArgs e)
    {
        string IdResu = e.CommandArgument.ToString();
    }


    public class CustomItemTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            ImageButton imgBtn = new ImageButton();
            imgBtn.ID = "ImageButton1";
            // imgBtn.ImageUrl = "images/edit.png";
            imgBtn.ImageUrl = "/ig_res/Default/images/igiv_V_PrevButton.png";

            imgBtn.Width = System.Web.UI.WebControls.Unit.Pixel(32);
            imgBtn.Height = System.Web.UI.WebControls.Unit.Pixel(32);

            imgBtn.CommandName = "security";
            imgBtn.CommandArgument = DataBinder.Eval((((Infragistics.Web.UI.TemplateContainer)container).DataItem), "ID_RESULTAT").ToString();
            imgBtn.ToolTip = "Manage Security";
            container.Controls.Add(imgBtn);

        }
    }

    private DataTable GetEmployees(int count = 10)
    {
        DataTable dtData = new DataTable("Employees");

        dtData.Columns.Add("EmployeeID", typeof(string));
        dtData.Columns.Add("Name", typeof(string));
        dtData.Columns.Add("Department", typeof(string));

        for (int i = 0; i < count; i++)
        {
            dtData.Rows.Add(new object[] { i, string.Format("Name {0}", i), i % 24 });
        }

        dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

        return dtData;
    }
}
